| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.EEFile Class Reference

Abstract basic class for Earth Observation File. More...

Inheritance diagram for EECFI.EEFile:

List of all members.

## Public Member Functions
| EEFile ()
| Empty finalructor.
| EEFile (long fileTyp, String fileNam)
| Constructor with arguments.
native boolean | validate (final String logfile) throws CfiError
| Validate file wrt schema in the root element of the XML file.
native boolean | validate (final String schema, final String logfile) throws CfiError
| Validate file wrt to the schema given in the schema parameter.
native void | readHeader () throws CfiError
| Read fixed header from XML file.
native void | setEoffsVersion (long eoffs) throws CfiError
| Select Eoffs Version.
## Public Attributes
long | fileType
| File type enum value.
String | fileName
| Filename.
FixedHeader | fixedHeader
| File fixed Header.

## Detailed Description

Abstract basic class for Earth Observation File.

## Constructor & Destructor Documentation

EECFI.EEFile.EEFile | ( |  | ) |

Empty finalructor.

EECFI.EEFile::EEFile | ( | long | fileTyp,
|  | String | fileNam |
| ) |  |  |

Constructor with arguments.

Parameters:

  | fileTyp | File type enumeration value (FileEnum).
  | fileNam | Name of the file.

## Member Function Documentation

native void EECFI.EEFile.readHeader | ( |  | ) | throws CfiError

Read fixed header from XML file.

Reimplemented in EECFI.DorisFile.

native void EECFI.EEFile.setEoffsVersion | ( | long | eoffs | ) | throws CfiError

Select Eoffs Version.

boolean EECFI.EEFile::validate | ( | final String | eoffs | ) | throws CfiError

Validate file wrt schema in the root element of the XML file.

Parameters:

  | logfile | File where messages from the validation proccess are written.

Returns:
  Result of comparison. true on success.

Parameters:

  | eoffs | is the version of the File Format Standard

Returns:
  Result of comparison. true on success.

boolean EECFI.EEFile::validate | ( | final String | schema,
|  | final String | logfile |
| ) |  |  | throws CfiError

Validate file wrt to the schema given in the schema parameter.

Parameters:

  | schema | File name path of the schema we want to compare with.
  | logfile | File where messages from the validation proccess are witten.

Returns:
  Result of comparison. true on success.

## Member Data Documentation

String EECFI.EEFile.fileName

Filename.

long EECFI.EEFile.fileType

File type enum value.

Reimplemented in EECFI.DorisFile.

FixedHeader EECFI.EEFile.fixedHeader

File fixed Header.